Package org.snpeff.vcf

# Class VcfNmd

java.lang.Object
org.snpeff.vcf.VcfLof
org.snpeff.vcf.VcfNmd

public class VcfNmd extends VcfLof
An 'NMD' entry in a vcf line

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`VcfNmd(String nmdStr)`
`VcfNmd(String geneName, String geneId, int numTranscripts, double percentAffected)`
`VcfNmd(Gene gene, double percentAffected)`
`VcfNmd(VcfEntry vcfEntry, String nmdStr)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`fieldNum(String name)`
Convert from field name to field number

### Methods inherited from class org.snpeff.vcf.VcfLof

`getGeneId, getGeneName, getNumTranscripts, getPercentAffected, getPercentAffectedStr, getVcfEntry, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfNmd

public VcfNmd(Gene gene, double percentAffected)

### VcfNmd

public VcfNmd(String nmdStr)

### VcfNmd

public VcfNmd(String geneName, String geneId, int numTranscripts, double percentAffected)

### VcfNmd

public VcfNmd(VcfEntry vcfEntry, String nmdStr)

## Method Details

### fieldNum

public static int fieldNum(String name)
Convert from field name to field number